{{ template "base" . }}

{{ define "title" }}Index{{ end }}

{{ define "content" }}
<div class="content pure-u-1">
	<div class="maxwidth box">
		<table class="pure-table">
			<thead><tr><th>#</th><th>Rating</th><th class="fill">Name</th></tr></thead>
			<tbody>
			{{ range .Wines }}
				<tr>
					<td><a href="/details?id={{ .ID }}">{{ .ID }}</a></td>
					<td>{{ .Rating }}</td>
					<td><a href="/details?id={{ .ID }}">{{ .Name }}</a></td>
				</tr>
			{{ end }}
			</tbody>
		</table>
	</div>
</div>

<footer class="pure-u-1">
	<div class="maxwidth box">
		<form class="pure-form" method="POST" enctype="multipart/form-data" action="/add">
			<fieldset>
				<div class="pure-g">
					<div class="pure-u-3-4">
						<div class="pad-bottom pad-right">
							<input class="name" type="text" name="name" placeholder="Name">
						</div>

						<input type="file" name="picture" accept="image/png, image/jpeg">
					</div>

					<div class="pure-u-1-4">
						<div class="pad-bottom">
							<input class="rating" type="number" name="rating" placeholder="Rating">
						</div>
						<div class="centered">
							<button type="submit" class="round pure-button pure-button-primary">+</button>
						</div>
					</div>
				</table>
			</fieldset>
		</form>
	</div>
</footer>
{{ end }}